Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll
Class HandlesAllWheelScrollEvents

    java.lang.Object
      com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll.HandlesAllWheelScrollEvents

All Implemented Interfaces:
  EventHandler, WheelScrollDownHandler, WheelScrollUpHandler

    public abstract class HandlesAllWheelScrollEvents

extends Object
implements WheelScrollUpHandler, WheelScrollDownHandler

Receiver used to handle all mouse wheel scroll events.

Author:
  Maryanovsky Alexander

Constructor Summary
`HandlesAllWheelScrollEvents()`

Method Summary
`HandlerRegistration` | `handle(HasAllWheelScrollHandlers source)` Convenience method to handle all mouse wheel scroll events from a source.
`static
`<H extends WheelScrollUpHandler & WheelScrollDownHandler> HandlerRegistration`
` | `handle(HasAllWheelScrollHandlers source, H receiver)` Convenience method to handle all mouse wheel scroll events from a source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll.WheelScrollUpHandler
`onWheelScrollUp`

Methods inherited from interface com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll.WheelScrollDownHandler
`onWheelScrollDown`

Constructor Detail

### HandlesAllWheelScrollEvents

    public HandlesAllWheelScrollEvents()

Method Detail

### handle

    public HandlerRegistration handle(HasAllWheelScrollHandlers source)

  Convenience method to handle all mouse wheel scroll events from a source.

### handle

    public static <H extends WheelScrollUpHandler & WheelScrollDownHandler> HandlerRegistration handle(HasAllWheelScrollHandlers source,
                                                                                                      H receiver)

  Convenience method to handle all mouse wheel scroll events from a source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD